<?php

namespace Drupal\session_inspector_browserdetector\Plugin\BrowserFormat;

use Sinergi\BrowserDetector\Browser;
use Sinergi\BrowserDetector\Os;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\Core\Plugin\PluginBase;
use Drupal\session_inspector\Plugin\BrowserFormatInterface;

/**
 * Provides full browser detector format.
 *
 * @BrowserFormat(
 *   id = "browser_detector_simple",
 *   name = @Translation("BrowserDetector format simple")
 * )
 */
class BrowserDetectorBrowserFormatSimple extends PluginBase implements BrowserFormatInterface {

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container, array $configuration, $plugin_id, $plugin_definition) {
    return new static(
      $configuration,
      $plugin_id,
      $plugin_definition
    );
  }

  /**
   * {@inheritdoc}
   */
  public function formatBrowser(string $browser):string {
    $browserObject = new Browser($browser);
    $osObject = new Os($browser);

    return $browserObject->getName() . ' - ' . $osObject->getName();
  }

}
